AntiFeatures:
    NonFreeNet:
        en-US: Depends on itch.io.
Categories:
  - Games
  - Internet
License: GPL-3.0-only
AuthorName: gardenapple
AuthorEmail: gardenapple@posteo.net
WebSite: https://gardenapple.itch.io/mitch
SourceCode: https://sr.ht/~gardenapple/mitch/
IssueTracker: https://todo.sr.ht/~gardenapple/mitch
Translation: https://hosted.weblate.org/projects/mitch/
Changelog: https://gardenapple.itch.io/mitch/devlog

AutoName: Mitch

RepoType: git
Repo: https://git.sr.ht/~gardenapple/mitch

Builds:
  - versionName: 1.2.5
    versionCode: 16
    commit: v1.2.5
    subdir: app
    gradle:
      - fdroid

  - versionName: 1.2.6
    versionCode: 18
    commit: v1.2.6
    subdir: app
    gradle:
      - fdroid

  - versionName: 1.2.7
    versionCode: 19
    commit: v1.2.7
    subdir: app
    gradle:
      - fdroid

  - versionName: 1.2.8
    versionCode: 20
    commit: v1.2.8
    subdir: app
    gradle:
      - fdroid

  - versionName: 1.2.9
    versionCode: 21
    commit: v1.2.9
    subdir: app
    gradle:
      - fdroid

  - versionName: 1.3.0
    versionCode: 22
    commit: v1.3.0
    subdir: app
    gradle:
      - fdroid

  - versionName: 1.3.1
    versionCode: 23
    commit: v1.3.1
    subdir: app
    gradle:
      - fdroid

  - versionName: 1.3.2
    versionCode: 24
    commit: v1.3.2
    subdir: app
    gradle:
      - fdroid

  - versionName: 1.3.3
    versionCode: 25
    commit: v1.3.3
    subdir: app
    gradle:
      - fdroid

  - versionName: 1.3.4
    versionCode: 26
    commit: v1.3.4
    subdir: app
    gradle:
      - fdroid

  - versionName: 1.3.5
    versionCode: 27
    commit: v1.3.5
    subdir: app
    gradle:
      - fdroid

  - versionName: 1.3.6
    versionCode: 28
    commit: v1.3.6
    subdir: app
    gradle:
      - fdroid

  - versionName: 1.3.7
    versionCode: 29
    commit: v1.3.7
    subdir: app
    gradle:
      - fdroid

  - versionName: 1.3.8
    versionCode: 30
    commit: v1.3.8
    subdir: app
    gradle:
      - fdroid

  - versionName: 1.3.9
    versionCode: 31
    commit: v1.3.9
    subdir: app
    gradle:
      - fdroid

  - versionName: 1.4.5
    versionCode: 37
    commit: b088864abf7111c7a2b9345d4450907f7cf2f789
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.4.6
    versionCode: 38
    commit: 69c15e15d3259a32da6284f70b339bdafc1cd3dc
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 1.4.7
    versionCode: 39
    commit: 66005be9b2c49e9c0618f3a73302308bd3cc5883
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 2.1.0
    versionCode: 101
    commit: 498d40a73ad1aaba765d0abf6b26b459491c1198
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid

  - versionName: 2.1.1
    versionCode: 102
    commit: d7f84e37993fc53e8f9fa40112688333ece05600
    subdir: app
    gradle:
      - fdroid

  - versionName: 2.2.1
    versionCode: 104
    commit: d28fee532825ff0bb06deafe11a42e4d4a1e8eff
    subdir: app
    gradle:
      - fdroid

  - versionName: 2.2.2
    versionCode: 105
    commit: e367fc192bb09da9725037d48df74869a5e0088a
    subdir: app
    gradle:
      - fdroid

  - versionName: 2.2.3
    versionCode: 106
    commit: 76f793c198c2bcea559fa36a38f90896d4473770
    subdir: app
    gradle:
      - fdroid

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 2.2.3
CurrentVersionCode: 106
